### compiler
ARM GNU Toolchain 4.8.2 for Cortex-A

### dependencies
linux-3.0 \
*zlib-1.2.3\** \
*libpng-1.2.43\** \
*freetype-2.3.9\** \
*jpeg-6b\**

**[make - zlib]**
```
export DEPENDENCY=</path/to/top-dir>/directfb/thirdparty_lib
export CROSS_COMPILE_GCC=arm-linux-gnueabi-gcc
export CROSS_COMPILE_LD=arm-linux-gnueabi-ld
export CROSS_COMPILE_AR=arm-linux-gnueabi-ar
export CC=${CROSS_COMPILE_GCC} LD=${CROSS_COMPILE_LD} AR=${CROSS_COMPILE_AR}
./configure --prefix=${DEPENDENCY}/zlib/1.2.3/pre-install --shared
make
make install
```

**[make - libpng]**
```
export CROSS_COMPILE_GCC=arm-linux-gnueabi-gcc
export CROSS_COMPILE_LD=arm-linux-gnueabi-ld
export CROSS_COMPILE_AR=arm-linux-gnueabi-ar
export CC=${CROSS_COMPILE_GCC} LD=${CROSS_COMPILE_LD} AR=${CROSS_COMPILE_AR}
export LDFLAGS=-L${DEPENDENCY}/zlib/1.2.3/pre-install/lib/
export CFLAGS=-I${DEPENDENCY}/zlib/1.2.3/pre-install/include/
export CPPFLAGS=-I${DEPENDENCY}/zlib/1.2.3/pre-install/include/
./configure --host=arm-linux --prefix=${DEPENDENCY}/png/1.2.43/pre-install
make
make install
```

**[make - freetype]**
```
export CC=arm-linux-gnueabi-gcc
export CXX=arm-linux-gnueabi-g++
export AR=arm-linux-gnueabi-ar
export STRIP=arm-linux-gnueabi-strip
./configure --host=arm-linux-gnueabi --prefix=${DEPENDENCY}/freetype/2.3.9/pre-install
make
make install
```

**[make - jpeg-6b]**
```
export CC=arm-linux-gnueabi-gcc
export CXX=arm-linux-gnueabi-g++
export AR=arm-linux-gnueabi-ar
export STRIP=arm-linux-gnueabi-strip
./configure --host=arm-linux --prefix=${DEPENDENCY}/jpeg/6b/pre-install --enable-shared
make install
```

**[make - directfb]**
```
export ICU_SUPPORT=true
export CROSS_COMPILE=arm-linux-gnueabi-
export KERNEL_CONFIG_FILE=./Salvia_config
make -f oss_build.mk kernel
sed -i.orig -e 's;$(shell pwd)/../../../../kernel/$(KERNEL_VER);</path/to/top-dir>/linux-3.0;'  directfb_1.5.3/Kernel/Makefile
MAKECMDGOALS=modules make -f oss_build.mk libdirectfb.so
MAKECMDGOALS=modules make -f oss_build.mk fusion.ko
```
